## Apache Zeta Components Manual :: Docs For Class ezcImageFilter

### ImageConversion::ezcImageFilter

### Class ezcImageFilter

Struct to store information about a filter operation.

The struct contains the self::name of the filter to use and which self::options to use for it.

Possible filter names are determined by the methods defined in the following filter interfaces:

- ezcImageGeometryFilters
- ezcImageColorspaceFilters
- ezcImageEffectFilters
- ezcImageWatermarkFilters
- ezcImageThumbnailFilters

The options for each filter are represented by the parameters received by their corresponding method. You can determine if a certain ezcImageHandler implementation supports a filter by checking the interfaces this handler implements.

Source for this file: /ImageConversion/src/structs/filter.php

    ezcBaseStruct
       |
       --ezcImageFilter

Version: | //autogentag//

### Member Variables

public string | `$name` Name of filter operation to use.
public array(string=>mixed) | `$options` Associative array of options for the filter operation. The array key is the option name and the array entry is the value for the option. Consult each filter operation to see which names and values to use.

### Method Summary

public ezcImageFilter | `__construct( $name , [ $options = array()] )` Initialize with the filter name and options.

### Methods

#### __construct

ezcImageFilter __construct( array $name , [ $options = array()] )

Initialize with the filter name and options.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | array | Name of filter operation.
`$options` | array | Associative array of options for filter operation.

Documentation generated by phpDocumentor 1.4.3